use std::net::TcpListener;
use std::thread;

use tungstenite::protocol::Message;

fn main() {
    let server = TcpListener::bind("127.0.0.1:8080").unwrap();
    for stream in server.incoming() {
        thread::spawn ( move || {
            let mut ws = tungstenite::accept(stream.unwrap()).unwrap();
            println!("New client!");
            ws.write_message(Message::Text("HOSTJOIN:".to_string())).unwrap();
            loop {
                let message = ws.read_message();
                println!("{:?}", message);
                if message.is_err() {
                    break
                }
            }
        });
    }
}

struct Room {
    players: Vec<Player>,
}

struct Player {
    name: String,
}
